# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape Class Reference

`#include <PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape ()
| PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape (const Handle(PTopoDS_HShape)&aValue)
void | SetValue (const Handle(PTopoDS_HShape)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PTopoDS_HShape | myValue

## Constructor & Destructor Documentation

PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape | ( |  | ) |

PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape | ( | const Handle(PTopoDS_HShape)& | aValue | ) |

## Member Function Documentation

void PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::operator new | ( | size_t | size | ) | `[inline]`

void* PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::SetValue | ( | const Handle(PTopoDS_HShape)& | aValue | ) |

Standard_Address PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::Value | ( |  | ) | const

## Field Documentation

Handle_PTopoDS_HShape PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape::myValue `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_VArrayTNodeOfFieldOfHArray1OfHShape.hxx